Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1056184 - Maven repo: remove unnecessary artifacts from the repo zip (wars, zips, UI artifacts)
Summary: Maven repo: remove unnecessary artifacts from the repo zip (wars, zips, UI ar...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Maven Repository
Version: 6.0.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: CR1
: 6.0.2
Assignee: Petr Kočandrle
QA Contact: Petr Široký
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-21 16:20 UTC by Petr Široký
Modified: 2014-08-06 19:53 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-06 19:53:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Petr Široký 2014-01-21 16:20:41 UTC
Description of problem:
The Maven repo zip contains a great number of artifacts (wars and zips) that are, in my opinion, not needed there.

List of war files in the repo:
./org/kie/kie-wb-distribution-wars/6.0.2-redhat-1/kie-wb-distribution-wars-6.0.2-redhat-1-tomcat7.war
./org/kie/kie-wb-distribution-wars/6.0.2-redhat-1/kie-wb-distribution-wars-6.0.2-redhat-1-eap-6_1.war
./org/kie/kie-wb-distribution-wars/6.0.2-redhat-1/kie-wb-distribution-wars-6.0.2-redhat-1-jboss-as7.war
./org/kie/kie-wb-webapp/6.0.2-redhat-1/kie-wb-webapp-6.0.2-redhat-1.war
./org/kie/kie-drools-wb-webapp/6.0.2-redhat-1/kie-drools-wb-webapp-6.0.2-redhat-1.war
./org/kie/kie-drools-wb-distribution-wars/6.0.2-redhat-1/kie-drools-wb-distribution-wars-6.0.2-redhat-1-eap-6_1.war
./org/optaplanner/optaplanner-webexamples/6.0.2-redhat-1/optaplanner-webexamples-6.0.2-redhat-1.war
./org/jbpm/jbpm-form-modeler-app/6.0.2-redhat-1/jbpm-form-modeler-app-6.0.2-redhat-1.war
./org/jbpm/jbpm-form-modeler-static-resources/6.0.2-redhat-1/jbpm-form-modeler-static-resources-6.0.2-redhat-1.war
./org/jbpm/dashboard/jbpm-dashboard-webapp/6.0.2-redhat-1/jbpm-dashboard-webapp-6.0.2-redhat-1.war
./org/jbpm/dashboard/jbpm-dashboard-distributions/6.0.2-redhat-1/jbpm-dashboard-distributions-6.0.2-redhat-1-tomcat-7.war
./org/jbpm/dashboard/jbpm-dashboard-distributions/6.0.2-redhat-1/jbpm-dashboard-distributions-6.0.2-redhat-1-jboss-as7.war
./org/jbpm/jbpm-form-modeler-request-dispatcher/6.0.2-redhat-1/jbpm-form-modeler-request-dispatcher-6.0.2-redhat-1.war
./org/jbpm/jbpm-form-modeler-form-editor/6.0.2-redhat-1/jbpm-form-modeler-form-editor-6.0.2-redhat-1.war
./org/jbpm/jbpm-form-modeler-ui/6.0.2-redhat-1/jbpm-form-modeler-ui-6.0.2-redhat-1.war
./org/jboss/dashboard-builder/dashboard-ui-core/6.0.2-redhat-1/dashboard-ui-core-6.0.2-redhat-1.war
./org/jboss/dashboard-builder/dashboard-ui-nvd3/6.0.2-redhat-1/dashboard-ui-nvd3-6.0.2-redhat-1.war
./org/jboss/dashboard-builder/dashboard-ui-ofc2/6.0.2-redhat-1/dashboard-ui-ofc2-6.0.2-redhat-1.war
./org/jboss/dashboard-builder/dashboard-ui-panels/6.0.2-redhat-1/dashboard-ui-panels-6.0.2-redhat-1.war
./org/jboss/dashboard-builder/dashboard-ui-gauge/6.0.2-redhat-1/dashboard-ui-gauge-6.0.2-redhat-1.war
./org/jboss/dashboard-builder/dashboard-samples/6.0.2-redhat-1/dashboard-samples-6.0.2-redhat-1.war
./org/jboss/dashboard-builder/dashboard-webapp/6.0.2-redhat-1/dashboard-webapp-6.0.2-redhat-1.war
./org/jboss/dashboard-builder/dashboard-ui-resources/6.0.2-redhat-1/dashboard-ui-resources-6.0.2-redhat-1.war

I am not sure about the dasboard-builder ones, they may be needed. However the distribution wars for different containers are IMO not necessary.


List of zip files:
./org/kie/kie-wb-distributions/6.0.2-redhat-1/kie-wb-distributions-6.0.2-redhat-1-patches.zip
./org/kie/kie-wb-distributions/6.0.2-redhat-1/kie-wb-distributions-6.0.2-redhat-1-scm-sources.zip
./org/kie/workbench/kie-wb-common/6.0.2-redhat-1/kie-wb-common-6.0.2-redhat-1-scm-sources.zip
./org/kie/workbench/kie-wb-common/6.0.2-redhat-1/kie-wb-common-6.0.2-redhat-1-patches.zip
./org/kie/kie-config-cli/6.0.2-redhat-1/kie-config-cli-6.0.2-redhat-1-dist.zip
./org/kie/kie-parent-metadata/6.0.2-redhat-1/kie-parent-metadata-6.0.2-redhat-1-scm-sources.zip
./org/kie/kie-parent-metadata/6.0.2-redhat-1/kie-parent-metadata-6.0.2-redhat-1-patches.zip
./org/kie/kie-eap-integration-brms/6.0.2-redhat-1/kie-eap-integration-brms-6.0.2-redhat-1-brms-layer.zip
./org/kie/kie-api-parent/6.0.2-redhat-1/kie-api-parent-6.0.2-redhat-1-scm-sources.zip
./org/kie/kie-api-parent/6.0.2-redhat-1/kie-api-parent-6.0.2-redhat-1-patches.zip
./org/kie/kie-eap-integration-bpms/6.0.2-redhat-1/kie-eap-integration-bpms-6.0.2-redhat-1-bpms-layer.zip
./org/uberfire/uberfire-parent-metadata/0.3.2-redhat-1/uberfire-parent-metadata-0.3.2-redhat-1-patches.zip
./org/uberfire/uberfire-parent-metadata/0.3.2-redhat-1/uberfire-parent-metadata-0.3.2-redhat-1-scm-sources.zip
./org/guvnor/guvnor/6.0.2-redhat-1/guvnor-6.0.2-redhat-1-scm-sources.zip
./org/guvnor/guvnor/6.0.2-redhat-1/guvnor-6.0.2-redhat-1-patches.zip
./org/optaplanner/optaplanner/6.0.2-redhat-1/optaplanner-6.0.2-redhat-1-patches.zip
./org/optaplanner/optaplanner/6.0.2-redhat-1/optaplanner-6.0.2-redhat-1-scm-sources.zip
./org/optaplanner/optaplanner-distribution/6.0.2-redhat-1/optaplanner-distribution-6.0.2-redhat-1.zip
./org/drools/drools-wb-jcr2vfs-migration-core/6.0.2-redhat-1/drools-wb-jcr2vfs-migration-core-6.0.2-redhat-1.zip
./org/drools/drools-wb/6.0.2-redhat-1/drools-wb-6.0.2-redhat-1-patches.zip
./org/drools/drools-wb/6.0.2-redhat-1/drools-wb-6.0.2-redhat-1-scm-sources.zip
./org/drools/droolsjbpm-integration/6.0.2-redhat-1/droolsjbpm-integration-6.0.2-redhat-1-scm-sources.zip
./org/drools/droolsjbpm-integration/6.0.2-redhat-1/droolsjbpm-integration-6.0.2-redhat-1-patches.zip
./org/drools/droolsjbpm-bpms-distribution/6.0.2-redhat-1/droolsjbpm-bpms-distribution-6.0.2-redhat-1-bin.zip
./org/drools/drools-multiproject/6.0.2-redhat-1/drools-multiproject-6.0.2-redhat-1-patches.zip
./org/drools/drools-multiproject/6.0.2-redhat-1/drools-multiproject-6.0.2-redhat-1-scm-sources.zip
./org/drools/droolsjbpm-brms-distribution/6.0.2-redhat-1/droolsjbpm-brms-distribution-6.0.2-redhat-1-bin.zip
./org/jbpm/jbpm-distribution/6.0.2-redhat-1/jbpm-distribution-6.0.2-redhat-1-src.zip
./org/jbpm/jbpm-distribution/6.0.2-redhat-1/jbpm-distribution-6.0.2-redhat-1-installer.zip
./org/jbpm/jbpm-distribution/6.0.2-redhat-1/jbpm-distribution-6.0.2-redhat-1-bin-src-docs-examples.zip
./org/jbpm/jbpm-distribution/6.0.2-redhat-1/jbpm-distribution-6.0.2-redhat-1-bin.zip
./org/jbpm/jbpm-distribution/6.0.2-redhat-1/jbpm-distribution-6.0.2-redhat-1-examples.zip
./org/jbpm/jbpm5/jbpmmigration/0.12-redhat-1/jbpmmigration-0.12-redhat-1-patches.zip
./org/jbpm/jbpm5/jbpmmigration/0.12-redhat-1/jbpmmigration-0.12-redhat-1-scm-sources.zip
./org/jbpm/jbpm-designer/6.0.2-redhat-1/jbpm-designer-6.0.2-redhat-1-scm-sources.zip
./org/jbpm/jbpm-designer/6.0.2-redhat-1/jbpm-designer-6.0.2-redhat-1-patches.zip
./org/jbpm/jbpm-form-modeler/6.0.2-redhat-1/jbpm-form-modeler-6.0.2-redhat-1-patches.zip
./org/jbpm/jbpm-form-modeler/6.0.2-redhat-1/jbpm-form-modeler-6.0.2-redhat-1-scm-sources.zip
./org/jbpm/dashboard/jbpm-dashboard/6.0.2-redhat-1/jbpm-dashboard-6.0.2-redhat-1-scm-sources.zip
./org/jbpm/dashboard/jbpm-dashboard/6.0.2-redhat-1/jbpm-dashboard-6.0.2-redhat-1-patches.zip
./org/jbpm/jbpm-console-ng/6.0.2-redhat-1/jbpm-console-ng-6.0.2-redhat-1-scm-sources.zip
./org/jbpm/jbpm-console-ng/6.0.2-redhat-1/jbpm-console-ng-6.0.2-redhat-1-patches.zip
./org/jbpm/jbpm/6.0.2-redhat-1/jbpm-6.0.2-redhat-1-patches.zip
./org/jbpm/jbpm/6.0.2-redhat-1/jbpm-6.0.2-redhat-1-scm-sources.zip
./org/mvel/mvel2/2.1.8.Final-redhat-3/mvel2-2.1.8.Final-redhat-3-patches.zip
./org/mvel/mvel2/2.1.8.Final-redhat-3/mvel2-2.1.8.Final-redhat-3-scm-sources.zip
./org/jboss/as/jboss-as-dist/7.2.1.Final-redhat-10/jboss-as-dist-7.2.1.Final-redhat-10-src.zip
./org/jboss/as/jboss-as-dist/7.2.1.Final-redhat-10/jboss-as-dist-7.2.1.Final-redhat-10.zip
./org/jboss/errai/errai-parent/2.4.3.Final-redhat-3/errai-parent-2.4.3.Final-redhat-3-scm-sources.zip
./org/jboss/errai/errai-parent/2.4.3.Final-redhat-3/errai-parent-2.4.3.Final-redhat-3-patches.zip
./org/jboss/integration-platform/jboss-integration-platform-parent/6.0.0.CR5-redhat-3/jboss-integration-platform-parent-6.0.0.CR5-redhat-3-patches.zip
./org/jboss/integration-platform/jboss-integration-platform-parent/6.0.0.CR5-redhat-3/jboss-integration-platform-parent-6.0.0.CR5-redhat-3-scm-sources.zip
./org/jboss/dashboard-builder/dashboard-builder/6.0.2-redhat-1/dashboard-builder-6.0.2-redhat-1-patches.zip
./org/jboss/dashboard-builder/dashboard-builder/6.0.2-redhat-1/dashboard-builder-6.0.2-redhat-1-scm-sources.zip
./org/apache/helix/helix-core-dist/0.6.2-incubating/helix-core-dist-0.6.2-incubating.zip
./org/apache/zookeeper/zookeeper-dist/3.3.4/zookeeper-dist-3.3.4.zip

I am not sure about the *patches.zip files, should they be included?


Removing all of the war and zip files decreases the repo zip size from 2.8GiB to 409MiB!


Version-Release number of selected component (if applicable):
6.0.0-CR1

Comment 2 Petr Kočandrle 2014-02-13 23:53:31 UTC
The 6.0.1 ER1 repository was created with configured exclusion of wars and zips. It is available now for testing.

Comment 3 Petr Kočandrle 2014-02-14 00:12:55 UTC
Just note that *-scm-sources.zip and *-patches.zip files were not excluded because of requirement to include sources. At least I believe there were such a requirement.

Comment 4 Petr Široký 2014-02-21 19:49:37 UTC
The  *-patches.zips contain the patch files used during the productization process (e.g. 01-vman.patch). Should they be included? I think there is no real value for users to have such zips in the repo, so I would vote for removing them.

Comment 5 Petr Kočandrle 2014-02-26 16:12:38 UTC
(In reply to Petr Siroky from comment #4)
> The  *-patches.zips contain the patch files used during the productization
> process (e.g. 01-vman.patch). Should they be included? I think there is no
> real value for users to have such zips in the repo, so I would vote for
> removing them.

OK, we discussed that and we will remove all *-scm-sources.zip and *-patches.zip files. According to Julian there was a misunderstanding that led to the inclusion of those. Will be removed in ER2 repository.

Comment 6 Petr Široký 2014-03-10 16:02:21 UTC
After discussion with developers we came to agreement that (at least) following WAR files _should_ be included in the repo (and currently are not):

./org/optaplanner/optaplanner-webexamples/6.0.2-redhat-1/optaplanner-webexamples-6.0.2-redhat-1.war
./org/jbpm/jbpm-form-modeler-app/6.0.2-redhat-1/jbpm-form-modeler-app-6.0.2-redhat-1.war
./org/jbpm/jbpm-form-modeler-static-resources/6.0.2-redhat-1/jbpm-form-modeler-static-resources-6.0.2-redhat-1.war
./org/jbpm/dashboard/jbpm-dashboard-webapp/6.0.2-redhat-1/jbpm-dashboard-webapp-6.0.2-redhat-1.war
./org/jbpm/jbpm-form-modeler-request-dispatcher/6.0.2-redhat-1/jbpm-form-modeler-request-dispatcher-6.0.2-redhat-1.war
./org/jbpm/jbpm-form-modeler-form-editor/6.0.2-redhat-1/jbpm-form-modeler-form-editor-6.0.2-redhat-1.war
./org/jbpm/jbpm-form-modeler-ui/6.0.2-redhat-1/jbpm-form-modeler-ui-6.0.2-redhat-1.war
./org/jboss/dashboard-builder/dashboard-ui-core/6.0.2-redhat-1/dashboard-ui-core-6.0.2-redhat-1.war
./org/jboss/dashboard-builder/dashboard-ui-nvd3/6.0.2-redhat-1/dashboard-ui-nvd3-6.0.2-redhat-1.war
./org/jboss/dashboard-builder/dashboard-ui-ofc2/6.0.2-redhat-1/dashboard-ui-ofc2-6.0.2-redhat-1.war
./org/jboss/dashboard-builder/dashboard-ui-panels/6.0.2-redhat-1/dashboard-ui-panels-6.0.2-redhat-1.war
./org/jboss/dashboard-builder/dashboard-ui-gauge/6.0.2-redhat-1/dashboard-ui-gauge-6.0.2-redhat-1.war
./org/jboss/dashboard-builder/dashboard-samples/6.0.2-redhat-1/dashboard-samples-6.0.2-redhat-1.war
./org/jboss/dashboard-builder/dashboard-webapp/6.0.2-redhat-1/dashboard-webapp-6.0.2-redhat-1.war
./org/jboss/dashboard-builder/dashboard-ui-resources/6.0.2-redhat-1/dashboard-ui-resources-6.0.2-redhat-1.war

I am sorry I "made" you exclude them, but at the beginning I honestly thought that no .war files should be included as those are final "products", usually bundling other artifacts as dependencies.

There maybe other wars that would be good to have there. For example the kie-wb-webapp-*.war and kie-drools-web-webapp-*.war. I need to investigate further to determined if we should include them or not.

Comment 25 Petr Široký 2014-05-28 15:03:22 UTC
Some of the UI artifacts were removed in 6.0.2.ER3. However, there are still others that need to be removed. To be specific:
    org.jbpm:jbpm-desinger*
    org.jbpm:jbpm-form-modeller*
    org.kie:kie-eap-integration*
    org.kie:kie-wb*
    org.kie.workbench*
    org.jboss.errai*

The pad at http://brmsqe.etherpad.corp.redhat.com/32 lists them too. The crossed ones are already gone, but the others are not.

Comment 26 Petr Kočandrle 2014-05-30 10:52:59 UTC
The repo has been rebuilt and is available as bpms-brms-6.0.2.GA-redhat-3-maven-repository-2.zip to exclude the remaining UI artifacts.

Comment 27 Petr Široký 2014-06-02 12:15:46 UTC
I have verified that all the UI artifacts are now gone.

However, I found another issue related to the fact the UI BOMs are gone. I still don't really know why, but all the BOMs are interconnected, thus e.g. drools-bom depends transitively on guvnor-bom or uberfire-bom. Since the guvnor-bom was removed, the drools-bom is now useless (it needs the guvnor-bom to work properly).

I see two possible solutions:
 1) We need to put back into the repo the following UI artifacts (the lists is hopefully exhaustive):
  org.guvnor:guvnor-bom
  org.jboss.dashboard-builder:dashboard-builder-bom
  org.uberfire:uberfire-bom
  org.uberfire:uberfire-parent-metadata

 2) We need to prohibit the usage of the drools-bom, jbpm-bom, etc and tell users to use only the `ip-dependency-management-all` bom. This would also need to be fixed in https://github.com/jboss-developer/jboss-brms-boms/blob/6.0.x-develop/pom.xml

I would prefer option one as that would enable users to use both drools-bom, jbpm-bom etc and ip-dependency-management-all, depending on what they prefer.

Comment 28 Petr Široký 2014-06-02 14:20:36 UTC
After a quick discussion with Petr Kocandrle, I am inclined to the first option, to include some the UI artifacts that are needed. Not including them might cause issues with current deployments and I think we should not break backwards compatibility between 6.0.1 and 6.0.2.

Comment 30 Geoffrey De Smet 2014-06-03 15:06:33 UTC
Because guvnor-bom still exists for KIE 6.0 and even KIE 6.1 (= community master), I also believe 1) is the correct approach.

Comment 31 Rajesh Rajasekaran 2014-06-04 12:42:30 UTC
I would go with Geoffrey's recommendation on this issue.

Comment 32 Petr Široký 2014-06-04 13:50:18 UTC
Thanks Rajesh. I am moving the issue back to ASSIGNED as we need to put back the specified BOMs.

Comment 33 Marek Winkler 2014-06-18 18:20:36 UTC
Verified on BRMS 6.0.2 CR1 maven repo that the specified BOMs have been put back.


Note You need to log in before you can comment on or make changes to this bug.